GEOPM_CXX_MAN_POWERGOVERNOR(3)

NAME
GEOPM_CXX_MAN_PowerGovernor - enforces a power limit

SYNOPSIS

#include <geopm/PowerGovernor.hpp>

Link with -lgeopm (MPI) or -lgeopm (non-MPI)

DESCRIPTION

This class is used by the geopm::PowerGovernorAgent(3) and the geopm::PowerBalancerAgent(3) to enforce power limits.

For more details, see the doxygen page at https://geopm.github.io/doxall/classgeopm_1_1_power_governor.html.

SEE ALSO

geopm(7), geopm_agent_power_governor(7), geopm_agent_power_balancer(7), geopm::PowerGovernorAgent(3), geopm::PowerBalancerAgent(3)

AUTHOR
Christopher Cantalupo, Brad Geltz, Konstantin Rebrov

COPYRIGHT
2015 - 2023, Intel Corporation. All rights reserved.